;$Id: trifenestra_convert.pro,v 1.3 2002/07/11 17:37:07 jmspark Exp $
;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************
;
;
pro trifenestra::convert_oDave2internal, oDave

	if n_elements( oDave ) ne 1 then return
	if not obj_valid( oDave ) then return
	if obj_class( oDave ) ne 'ODAVE' then return
	if not oDave -> valid() then return

	oDave -> get, $
		qty=qty, err=err, xdata=x, ydata=y $
		, xlabel=xlabel, ylabel=ylabel, histlabel=histlabel

	*self.intensity = qty
	*self.intensitycopy = qty

	*self.error = err
	*self.errornobin = err
	*self.errorcopy = err

	*self.angle = x
	*self.q = x
	*self.qcopy = x

	*self.hw = y

	self.xtitle = xlabel
	self.ytitle = ylabel
	self.title = histlabel


	self->init_draw ; , self.xtitle, self.ytitle, self.title


end
;*******************************************************************************
function trifenestra::convert_Internal2oDave

	oDAVE =  obj_new('oDave' $
		, Ei = self.Ei $
		, qty = *(self.intensity) $
		, err = *(self.error) $
		, xdata = *self.q $
		, ydata = *self.hw $
		)

	return, oDAVE

end


pro trifenestra_convert

end