;$Id: trifenestra__widgets.pro,v 1.3 2002/07/11 17:37:07 jmspark Exp $
pro trifenestra::widget_control, name $
	, get_value = get_value $
	, get_uvalue = get_uvalue $
	, _extra = _extra

	if n_elements( name ) ne 1 then return
	wID = self.wIDs -> pull( name )
	if widget_info( wID, /valid_id ) then begin

		widget_control, wID $
			, get_value = get_value $
			, get_uvalue = get_uvalue $
			, _extra = _extra

	endif else begin

		if wID eq 0L then print, name +  '!!!!!!!' else print, name + 'xxxxxxxx'

	endelse
end

pro trifenestra::widgets, wID, name

	if widget_info( wID, /valid_id ) then begin

		if n_elements( name ) eq 0 then begin
			name = widget_info( wID, /uname )
			if n_elements( name ) eq 0 or name eq '' then return
		endif

		name = strjoin( name, /single )

		self.wIDs -> push, name, wID

		; message, '!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!', /continue
		; message, name + ' is assigned as ' + string( wID ), /continue
		; message, '!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!', /continue

	endif
end